package b_nfs

import (
	"wdd.io/agent-common/logger"
	"wdd.io/agent-deploy/z_dep"
)

var (
	log = logger.Log
)

type NfsDeployConfig struct {
	NfsLocalPath string
}

func NFSDeploy(commonEnv *z_dep.CommonEnvironmentConfig) bool {

	if commonEnv.NFSServerIP == "" {
		log.Error("Nfs server ip is nil")
		return false
	}

	return commonEnv.ParseCommonEnvToApplyFile(CmiiNfsTemplate, z_dep.NfsApplyFilePath)
}

func NFSTestDeploy(commonEnv *z_dep.CommonEnvironmentConfig) bool {
	return commonEnv.ParseCommonEnvToApplyFile(CmiiNFSTestTemplate, z_dep.NfsTestApplyFilePath)
}
